[1.9.0] build broken for windows


Carles Perello
 

Hi

I was able to buil zephyr under Windows/MinGW until versión 1.8.0 (targets quemu and arduino_101)

Seems this got broken on 1.9.0

make -f d:/zephyr-1.9.0/scripts/Makefile.build obj=dts/x86
  echo '#include "arduino_101.dts"' > dts/x86/arduino_101.dts_pre_compiled ; if test -e d:/zephyr-1.9.0/samples/hello_world/arduino_101.overlay; then echo '#include "d:/zephyr-1.9.0/samples/hello_world/arduino_101.overlay"' >> dts/x86/arduino_101.dts_pre_compiled ; fi ; /d/IntelSWTools/ISSM_2016.1.067/tools/compiler/gcc-ia/5.2.1/bin/i586-intel-elfiamcu-gcc -E -Wp,-MD,dts/x86/.arduino_101.dts_compiled.d.pre.tmp -nostdinc -I/d/zephyr-1.9.0/kernel/include -I/d/zephyr-1.9.0/arch/x86/include -I/d/zephyr-1.9.0/arch/x86/soc/intel_quark/quark_se -I/d/zephyr-1.9.0/boards/x86/arduino_101  -I/d/zephyr-1.9.0/include -I/d/zephyr-1.9.0/include -I/d/zephyr-1.9.0/samples/hello_world/outdir/arduino_101/include/generated -include /d/zephyr-1.9.0/samples/hello_world/outdir/arduino_101/include/generated/autoconf.h  -I/d/zephyr-1.9.0/ext/hal/qmsi/include -I/d/zephyr-1.9.0/ext/hal/qmsi/drivers/include -I/d/zephyr-1.9.0/ext/hal/qmsi/soc/quark_se/include/ -I/d/zephyr-1.9.0/lib/libc/minimal/include -I/d/zephyr-1.9.0/arch/x86/soc -I/d/zephyr-1.9.0/dts/common -I/d/zephyr-1.9.0/dts -I/d/zephyr-1.9.0/dts/x86 -I/d/zephyr-1.9.0/drivers/of/testcase-data -Id:/zephyr-1.9.0/samples/hello_world -undef -D__DTS__ -x assembler-with-cpp -o dts/x86/.arduino_101.dts_compiled.dts.tmp dts/x86/arduino_101.dts_pre_compiled ;  -O dts -o dts/x86/arduino_101.dts_compiled -b 0 -i /d/zephyr-1.9.0/dts/x86/  -d dts/x86/.arduino_101.dts_compiled.d.dtc.tmp dts/x86/.arduino_101.dts_compiled.dts.tmp ; cat dts/x86/.arduino_101.dts_compiled.d.pre.tmp dts/x86/.arduino_101.dts_compiled.d.dtc.tmp > dts/x86/.arduino_101.dts_compiled.d
/bin/sh: -O: command not found
make[3]: *** [dts/x86/arduino_101.dts_compiled] Error 127

any hint?

regards

Join users@lists.zephyrproject.org to automatically receive all group messages.